curl -X POST https://chatbot.menuia.com/api/create-message \
-H "Content-Type: application/json" \
-d '{
"appkey": "SUA_APPKEY_AQUI",
"authkey": "SUA_AUTHKEY_AQUI",
"to": "+5581999999999",
"message": "Olá! Como posso ajudar?",
"header_title": "Atendimento",
"footer_text": "Escolha uma opção",
"buttons": [
{
"type": "replyButton",
"displaytext": "Ver Produtos"
},
{
"type": "urlButton",
"displaytext": "Acessar Site",
"action": "https://seusite.com"
},
{
"type": "callButton",
"displaytext": "Ligar Agora",
"action": "5581999999999"
}
]
}'
const response = await fetch('https://chatbot.menuia.com/api/create-message', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
appkey: 'SUA_APPKEY_AQUI',
authkey: 'SUA_AUTHKEY_AQUI',
to: '+5581999999999',
message: 'Olá! Como posso ajudar?',
header_title: 'Atendimento',
footer_text: 'Escolha uma opção',
buttons: [
{
type: 'replyButton',
displaytext: 'Ver Produtos'
},
{
type: 'urlButton',
displaytext: 'Acessar Site',
action: 'https://seusite.com'
},
{
type: 'callButton',
displaytext: 'Ligar Agora',
action: '5581999999999'
}
]
})
});
import requests
response = requests.post(
'https://chatbot.menuia.com/api/create-message',
json={
'appkey': 'SUA_APPKEY_AQUI',
'authkey': 'SUA_AUTHKEY_AQUI',
'to': '+5581999999999',
'message': 'Olá! Como posso ajudar?',
'header_title': 'Atendimento',
'footer_text': 'Escolha uma opção',
'buttons': [
{
'type': 'replyButton',
'displaytext': 'Ver Produtos'
},
{
'type': 'urlButton',
'displaytext': 'Acessar Site',
'action': 'https://seusite.com'
},
{
'type': 'callButton',
'displaytext': 'Ligar Agora',
'action': '5581999999999'
}
]
}
)
$response = Http::post('https://chatbot.menuia.com/api/create-message', [
'appkey' => 'SUA_APPKEY_AQUI',
'authkey' => 'SUA_AUTHKEY_AQUI',
'to' => '+5581999999999',
'message' => 'Olá! Como posso ajudar?',
'header_title' => 'Atendimento',
'footer_text' => 'Escolha uma opção',
'buttons' => [
[
'type' => 'replyButton',
'displaytext' => 'Ver Produtos'
],
[
'type' => 'urlButton',
'displaytext' => 'Acessar Site',
'action' => 'https://seusite.com'
],
[
'type' => 'callButton',
'displaytext' => 'Ligar Agora',
'action' => '5581999999999'
]
]
]);
{
"status": 200,
"message": "Mensagem com botões enviada com sucesso."
}
{
"status": 401,
"message": "validation.required"
}
{
"status": 404,
"message": "Nenhum dispositivo encontrado."
}
Mensagens Interativas
Enviar Botões
POST
/
api
/
create-message
curl -X POST https://chatbot.menuia.com/api/create-message \
-H "Content-Type: application/json" \
-d '{
"appkey": "SUA_APPKEY_AQUI",
"authkey": "SUA_AUTHKEY_AQUI",
"to": "+5581999999999",
"message": "Olá! Como posso ajudar?",
"header_title": "Atendimento",
"footer_text": "Escolha uma opção",
"buttons": [
{
"type": "replyButton",
"displaytext": "Ver Produtos"
},
{
"type": "urlButton",
"displaytext": "Acessar Site",
"action": "https://seusite.com"
},
{
"type": "callButton",
"displaytext": "Ligar Agora",
"action": "5581999999999"
}
]
}'
const response = await fetch('https://chatbot.menuia.com/api/create-message', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
appkey: 'SUA_APPKEY_AQUI',
authkey: 'SUA_AUTHKEY_AQUI',
to: '+5581999999999',
message: 'Olá! Como posso ajudar?',
header_title: 'Atendimento',
footer_text: 'Escolha uma opção',
buttons: [
{
type: 'replyButton',
displaytext: 'Ver Produtos'
},
{
type: 'urlButton',
displaytext: 'Acessar Site',
action: 'https://seusite.com'
},
{
type: 'callButton',
displaytext: 'Ligar Agora',
action: '5581999999999'
}
]
})
});
import requests
response = requests.post(
'https://chatbot.menuia.com/api/create-message',
json={
'appkey': 'SUA_APPKEY_AQUI',
'authkey': 'SUA_AUTHKEY_AQUI',
'to': '+5581999999999',
'message': 'Olá! Como posso ajudar?',
'header_title': 'Atendimento',
'footer_text': 'Escolha uma opção',
'buttons': [
{
'type': 'replyButton',
'displaytext': 'Ver Produtos'
},
{
'type': 'urlButton',
'displaytext': 'Acessar Site',
'action': 'https://seusite.com'
},
{
'type': 'callButton',
'displaytext': 'Ligar Agora',
'action': '5581999999999'
}
]
}
)
$response = Http::post('https://chatbot.menuia.com/api/create-message', [
'appkey' => 'SUA_APPKEY_AQUI',
'authkey' => 'SUA_AUTHKEY_AQUI',
'to' => '+5581999999999',
'message' => 'Olá! Como posso ajudar?',
'header_title' => 'Atendimento',
'footer_text' => 'Escolha uma opção',
'buttons' => [
[
'type' => 'replyButton',
'displaytext' => 'Ver Produtos'
],
[
'type' => 'urlButton',
'displaytext' => 'Acessar Site',
'action' => 'https://seusite.com'
],
[
'type' => 'callButton',
'displaytext' => 'Ligar Agora',
'action' => '5581999999999'
]
]
]);
{
"status": 200,
"message": "Mensagem com botões enviada com sucesso."
}
{
"status": 401,
"message": "validation.required"
}
{
"status": 404,
"message": "Nenhum dispositivo encontrado."
}
Webhook relacionado: Botão / Lista
O clique no botão dispara o evento Botão / Lista com a opção escolhida.
Descrição
Este endpoint permite enviar uma mensagem com botões interativos. Suporta três tipos de botões: resposta rápida, link URL e chamada telefônica.Parâmetros
string
required
Chave de aplicação.
string
required
Chave de autenticação do usuário.
string
required
Número de telefone no formato internacional ou ID do grupo.
string
required
Texto principal da mensagem.
string
Título do cabeçalho da mensagem.
string
Texto do rodapé da mensagem.
array
required
Array de botões. Cada botão possui:
type: Tipo do botão (replyButton,urlButtonoucallButton)displaytext: Texto exibido no botãoaction: URL ou número de telefone (obrigatório paraurlButtonecallButton)
Tipos de Botões
replyButton: Botão de resposta rápida. Quando clicado, envia o texto do botão como resposta.urlButton: Botão que abre um link externo. Requer o parâmetro
action com a URL.callButton: Botão que inicia uma chamada telefônica. Requer o parâmetro action com o número de telefone.curl -X POST https://chatbot.menuia.com/api/create-message \
-H "Content-Type: application/json" \
-d '{
"appkey": "SUA_APPKEY_AQUI",
"authkey": "SUA_AUTHKEY_AQUI",
"to": "+5581999999999",
"message": "Olá! Como posso ajudar?",
"header_title": "Atendimento",
"footer_text": "Escolha uma opção",
"buttons": [
{
"type": "replyButton",
"displaytext": "Ver Produtos"
},
{
"type": "urlButton",
"displaytext": "Acessar Site",
"action": "https://seusite.com"
},
{
"type": "callButton",
"displaytext": "Ligar Agora",
"action": "5581999999999"
}
]
}'
const response = await fetch('https://chatbot.menuia.com/api/create-message', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
appkey: 'SUA_APPKEY_AQUI',
authkey: 'SUA_AUTHKEY_AQUI',
to: '+5581999999999',
message: 'Olá! Como posso ajudar?',
header_title: 'Atendimento',
footer_text: 'Escolha uma opção',
buttons: [
{
type: 'replyButton',
displaytext: 'Ver Produtos'
},
{
type: 'urlButton',
displaytext: 'Acessar Site',
action: 'https://seusite.com'
},
{
type: 'callButton',
displaytext: 'Ligar Agora',
action: '5581999999999'
}
]
})
});
import requests
response = requests.post(
'https://chatbot.menuia.com/api/create-message',
json={
'appkey': 'SUA_APPKEY_AQUI',
'authkey': 'SUA_AUTHKEY_AQUI',
'to': '+5581999999999',
'message': 'Olá! Como posso ajudar?',
'header_title': 'Atendimento',
'footer_text': 'Escolha uma opção',
'buttons': [
{
'type': 'replyButton',
'displaytext': 'Ver Produtos'
},
{
'type': 'urlButton',
'displaytext': 'Acessar Site',
'action': 'https://seusite.com'
},
{
'type': 'callButton',
'displaytext': 'Ligar Agora',
'action': '5581999999999'
}
]
}
)
$response = Http::post('https://chatbot.menuia.com/api/create-message', [
'appkey' => 'SUA_APPKEY_AQUI',
'authkey' => 'SUA_AUTHKEY_AQUI',
'to' => '+5581999999999',
'message' => 'Olá! Como posso ajudar?',
'header_title' => 'Atendimento',
'footer_text' => 'Escolha uma opção',
'buttons' => [
[
'type' => 'replyButton',
'displaytext' => 'Ver Produtos'
],
[
'type' => 'urlButton',
'displaytext' => 'Acessar Site',
'action' => 'https://seusite.com'
],
[
'type' => 'callButton',
'displaytext' => 'Ligar Agora',
'action' => '5581999999999'
]
]
]);
{
"status": 200,
"message": "Mensagem com botões enviada com sucesso."
}
{
"status": 401,
"message": "validation.required"
}
{
"status": 404,
"message": "Nenhum dispositivo encontrado."
}
⌘I

